<?php

$db=new PDO("sqlite:db/wyb.sqlite");

$sql="DROP TABLE IF EXISTS users";
$db->query($sql);

$sql="
CREATE TABLE IF NOT EXISTS users (
 remote_host TEXT,
 remote_addr TEXT UNIQUE,
 last_visit DATETIME DEFAULT CURRENT_TIMESTAMP
);";
$db->query($sql);


$sql="DROP INDEX IF EXISTS remote_addr_idx";
$db->query($sql);


$sql="
CREATE INDEX IF NOT EXISTS remote_addr_idx 
 ON users(remote_addr)
";
$db->query($sql);


$sql="DROP TABLE IF EXISTS whereyoubeen";
$db->query($sql);

$sql="
CREATE TABLE IF NOT EXISTS whereyoubeen (
 remote_addr TEXT,
 remote_host TEXT,
 user_agent TEXT,
 url TEXT,
 last_visit DATETIME DEFAULT CURRENT_TIMESTAMP
)";
$db->query($sql);


$sql="
CREATE TRIGGER IF NOT EXISTS
 clean_up_old 
BEFORE INSERT ON 
 users
BEGIN
 DELETE FROM 
  users 
 WHERE 
  last_visit < DATETIME('NOW','-1 minute');
END
";
$db->query($sql);
?>